2021-04-11 21:35 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003669CombatAirPatrol[All Projects] Generalpublic2021-02-26 20:43
Reporterretrogamer 
Assigned ToJOTDProject InfoCombat Air Patrol (Psygnosis)
http://www.whdload.de/games/CombatAirPatrol.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003669: Get a "Illegal Error" message after typing in the digits at the copy protection
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2003

Get a "Illegal Error" message after typing in the digits at the copy protection page I can provide you with the whdload_registerfile.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.3
importedyes
Attached Files
  • ? file icon .whdl_register (3,446 bytes) 2017-04-12 19:09 -
    ************************* 12-Apr-17 19:08:14 ************************18.2.5735***
    Slave='CombatAirPatrol.slave' (5184 bytes)
    ShadowMem   347848 -   390848 ( 299008) AbsolutMem    49000 -   100000 ( 749568)
    Resload     92E860 -   934EF4 (  26260) at 92E860  GL=$9F58B8
    Slave       9FD798 -   9FEBB4 (   5148) at 9FD798  BaseMemSize=$100000
    ExpMem      935000 -   9F5000 ( 786432) at 935000
    attn=203(UAE,20) fc=-1 kn=0 cs=C42D rw=1 zpt=-1 ep=0 ei=0
    setcpu=3B35(SS,BC,SB,DC,IC,SCB,ENC,BNC)
    
    Exception "Illegal Instruction" ($10) at $9766A6 (ExpMem $416A6) occured.
    
    $00976666 ori.b        #??$f9,d0
    $0097666a ori.l        #$97904ef9,(a3)                ;$009be602
    $00976670 ori.l        #$97724ef9,(a3)                ;$009be602
    $00976676 ori.l        #$974e4ef9,(a3)                ;$009be602
    $0097667c ori.l        #$96f80097,(a3)                ;$009be602
    $00976682 beq.b        $97669c
    $00976684 ori.l        #$66180800,(a7)                ;$009f4fb2
    $0097668a ori.l        #$959c0000,(a3)                ;$009be602
    $00976690 ori.b        #$7c,(a0)+                     ;$00dff001
    $00976694 ori.b        #0,d0
    $00976698 ori.b        #0,d0
    $0097669c ori.b        #0,d0
    $009766a0 ori.b        #$bf,d0
    $009766a4 asr.b        #8,d1
    1m$009766a6 ori.b        #??0,a0
    22m$009766aa ori.l        #$54ec0097,(a7)                ;$009f4fb2
    $009766b0 scc          ($200,a0)                      ;$00dff201
    $009766b4 ori.l        #$959c0097,(a3)                ;$009be602
    $009766ba bne.b        $97663c
    $009766bc ori.l        #$9684009b,(a3)                ;$009be602
    $009766c2 moveq        #$58,d4
    $009766c4 ori.l        #$7858009b,(a3)+               ;$009be602
    $009766ca moveq        #$42,d4
    $009766cc ori.l        #$73180095,(a7)                ;$009f4fb2
    $009766d2 asl.l        d1,d6
    $009766d4 ori.l        #$73420000,(a7)                ;$009f4fb2
    $009766da ori.b        #0,d0
    $009766de ori.b        #0,d0
    $009766e2 ori.b        #$9a,d0
    
    exception stackframe:
    $009F4FB2 22040097 66A60010
    regular stack:
    $009F4FBA FFFFFFFF 00975473 009AB3CE 009396EC FFFFFFFF 009766AA 0093634C 009E0ED0
    $009F4FDA 00080097 52520000 32280000 00030005 8A140004 8FF20005 A35E00DF F0000000
    $009F4FFA 009ACE6E 0068
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx   9754FF         0  FFFFFF00     FFFFF         0         0      FFFF      FFFF
    Ax   DFF001    9AB3C8    976680    9BE602    9BE5EC    9AB3C8    975276
    
                     TTSM III   XNZVC
    PC=  9766A622m  SR %0010001000000100  USP=9E0E1E  1mISP=9F4FB2  MSP=FF800
    VBR=9F68B8  SFC=5  DFC=5  CACR=0  CAAR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%010010000010100122m dmacon=%1m0000001111100000 adkcon=$1100
    intreq=%0000011111001000
    vposr....A300  vhposr...025D  joy0dat..0200  joy1dat..0000  clxdat...8022  
    pot0dat..5D00  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..2000  
    deniseid.00F8  hhposr...0003  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000100022m  ta=  35<  35	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000100022m  tb=C87E<FFFF	   crb=1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m0000011122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=00056C  icr=00  sdr=73    event=050020  icr=04  sdr=00
    
    ? file icon .whdl_register (3,446 bytes) 2017-04-12 19:09 +
  • zip file icon CombatAirPatrol.zip (4,817 bytes) 2021-02-25 22:51

-Relationships
+Relationships

-Notes

note ~0005558

retrogamer (reporter)

.whdl_register attatched.

note ~0005692

JOTD (developer)

probably different version. Can you give me the size of "cap.amg" file?

note ~0005693

retrogamer (reporter)

Hi!

I am using the preinstalled version from here http://www.whdownload.com/games/Update-2007-12-20/CombatAirPatrol_v1.2_0674.zip

note ~0005694

retrogamer (reporter)

The size of camp.amg if about 603 800 kb.

note ~0009619

JOTD (developer)

bumping this

note ~0009621

retrogamer (reporter)

I also get a Guru Meditation when I'm trying to quit the game using the quitkey
for 68000 cpu.

note ~0009647

JOTD (developer)

Last edited: 2021-02-25 22:52

View 2 revisions

Can you test that new slave?

fixed the crash when quitting at least. Didn't reproduce the crash when entering the code issue on 68040 or 68000 (emulation)

note ~0009649

retrogamer (reporter)

The slave wprks fine now with no more crashes.

2 more things you can do before the official release.

Change the release year to 1993 in the whdload splash window.

512kb chip (if possible).

note ~0009656

JOTD (developer)

512k chip is already set. Changing date and releasing. Thanks
+Notes

-Issue History
Date Modified Username Field Change
2017-04-12 18:33 administrator New Issue
2017-04-12 18:33 administrator Status new => assigned
2017-04-12 18:33 administrator Assigned To => JOTD
2017-04-12 19:09 retrogamer File Added: .whdl_register
2017-04-12 19:10 retrogamer Note Added: 0005558
2017-08-07 19:08 JOTD Note Added: 0005692
2017-08-07 19:09 JOTD Status assigned => feedback
2017-08-07 19:32 retrogamer Note Added: 0005693
2017-08-07 19:32 retrogamer Status feedback => assigned
2017-08-07 19:35 retrogamer Note Added: 0005694
2021-02-21 13:35 JOTD Note Added: 0009619
2021-02-21 14:04 retrogamer Note Added: 0009621
2021-02-25 22:47 JOTD Note Added: 0009647
2021-02-25 22:51 JOTD File Added: CombatAirPatrol.zip
2021-02-25 22:52 JOTD Note Edited: 0009647 View Revisions
2021-02-25 22:52 JOTD Status assigned => feedback
2021-02-26 00:20 retrogamer Note Added: 0009649
2021-02-26 00:20 retrogamer Status feedback => assigned
2021-02-26 20:43 JOTD Note Added: 0009656
2021-02-26 20:43 JOTD Status assigned => closed
2021-02-26 20:43 JOTD Resolution open => fixed
+Issue History